Update HmrcAgentCredential

PUT /tenants/{tenant}/hmrc-credentials/{code}

Updates a HmrcAgentCredential for the specified tenant.

Parameters

NameTypeDescription
tenant* path string

The Tenant.Code

The Tenant.Code

code* path string
{
  "name": "string",
  "agentReferenceNumber": "string",
  "saAgentCode": "string",
  "payeAgentCode": "string",
  "ctAgentCode": "string"
}

Responses

400 Bad Request
application/problem+json
401 Unauthorized – Invalid or missing API key
404 Not Found
application/problem+json